locked
Install Visual C# with Visual C++: incompatibilities. RRS feed

  • Question

  • Hi all,

    I have installed the Visual Studio Express C++ 2010 version, and I have tried to install the visual studio C# version, but it seems it is incompatible: I cannot install an express version if there is allready one. When I try to install it, there is the following message:

    Setup has detected the following products(s) currently installed that must be removed.
    Please uninstall all products listed below and then restart setup, see the online support page.

    -Microsoft Visual C++ 2010 Express Beta 2 -ENU.

    So I cannot use Visual C#. But I dont want to uninstall Visual C++.

    Is there something that I can do?

    Thank you

     

     

     

    Saturday, April 17, 2010 8:19 AM

Answers

  • My guess is that you have the Beta version of C++.

    Generally when the RTM version becomes available you must uninstall the Beta before installing the RTM.

    I guess that somehow the C++ Beta is preventing the C# RTM version from installing.


    Regards David R --------------------------------------------------------------- "Every program eventually becomes rococo, and then rubble." - Alan Perlis The only valid measurement of code quality: WTFs/minute.
    • Marked as answer by Harry Zhu Friday, April 23, 2010 2:21 AM
    Saturday, April 17, 2010 11:32 AM